%define upstream_name    Dist-Zilla-PluginBundle-Author-KENTNL-Lite
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Minimal Build-Only replacement for @Author::KENTNL for contributors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an attempt at one way of solving a common problem when contributing
to things built with Dist::Zilla.

This is done by assuming that the code base that its targeting will *NEVER*
be released in its built form, but close enough to the normal build method
that it's suitable for testing and contributing.

* * Less install time dependencies

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.1.1-5.mga9
+ Revision: 1809163
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-4.mga8
+ Revision: 1504272
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-3.mga7
+ Revision: 1283362
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.1.1-2.mga7
+ Revision: 1164114
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 2.1.1-1.mga7
+ Revision: 1156170
- update to 2.001001

* Sun Jun 19 2016 pterjan <pterjan> 2.1.0-5.mga6
+ Revision: 1025884
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.1.0-4.mga6
+ Revision: 948350
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-3.mga5
+ Revision: 744392
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 sander85 <sander85> 2.1.0-1.mga5
+ Revision: 665110
- update to 2.001000

* Sat Aug 16 2014 sander85 <sander85> 2.0.1-1.mga5
+ Revision: 664140
- update to 2.000001

* Fri Aug 01 2014 sander85 <sander85> 2.0.0-1.mga5
+ Revision: 658983
- update to 2.000000

* Sat Oct 19 2013 umeabot <umeabot> 1.7.2-2.mga4
+ Revision: 526977
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.7.2-1.mga4
+ Revision: 439207
- update to 1.7.2

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 366564
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 jquelin <jquelin> 1.3.0-1.mga3
+ Revision: 298951
- update to 1.3.0

* Thu Apr 14 2011 jquelin <jquelin> 1.0.6-1.mga1
+ Revision: 85046
- update to 1.0.6

* Tue Mar 15 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 71742
- imported package perl-Dist-Zilla-PluginBundle-Author-KENTNL-Lite


* Tue Mar 15 2011 cpan2dist 1.0.0-1mga
- initial mageia release, generated with cpan2dist
